PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceGetType

Gets the PetscDualSpace type name (as a string) from the object.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetType(PetscDualSpace sp, PetscDualSpaceType *name)

Not Collective

### Input Parameter

| sp | - The PetscDualSpace

### Output Parameter

| name | - The PetscDualSpace type name

### See Also

PetscDualSpaceSetType(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages